Go Down

Topic: libraria mais recente nao funciona :( (Read 538 times) previous topic - next topic

tucandroid

amigos, tal como voces ja perceberam, sou novo nisto.

comprei um tft lcd para o uno no ebay, apos falar com o vendedor, recomendou-me usar a libraria TFTLCD na ide 0022, de facto funciona assim.

tentei utilizar com a libraria utft na ide 1.0.3 e nao funciona, o mesmo se passa com a ide 1.5.2

alguem sabe o que possa ser?

ja agora, qual a ide mais estavel?

cumprimentos

HugoPT

Quote
comprei um tft lcd para o uno no ebay, apos falar com o vendedor, recomendou-me usar a libraria TFTLCD na ide 0022, de facto funciona assim.

As diferenças entre a IDE 22 para a 1.0.3 sao muito grandes(tamanhos do serial buffer, algumas funçoes mudaram de significado :(,palavras reservadas tambem mudaram)
Muito provavelmente essa lib que estas a usar usa funçoes que agora ou mudaram ou deixaram de estar correctas.Podes sempre tentar ver o codigo dessa nova lib e tentar ver o que terás de modificar.Se nao estiveres á vontade com isso dá uma pesqueza no google pois alguem deve ter tido esse problema e poderá existir ja uma nova lib que suporte esse TFTLCD.
Passa ai o nome do display, pode ser que alguem aqui tambem o utilize
Debian,Mint,Ubuntu
Arduino Mega 2560
Arduino Nano
Arduino Duemilanove
MAC OS Montain Lion
Raspberry PI Model B

tucandroid

obrigado hugo, pensei que se tratava de updates apenas na IDE. :)

o nome do display é completamente impossivel, apenas diz isto:

Hiduino 3,2" TFT LCD Shield
é mais conhecido pelo LCD do womarts no ebay. :)

ha muita gente com problemas nisto, ora é uma shield, mas se ligares directo da problemas na imagem.

muito má compra mesmo.


cumprimentos

Go Up